nm-applet does not start at login

Bug #146896 reported by Bobby on 2007-09-29
4
Affects Status Importance Assigned to Milestone
network-manager-applet (Ubuntu)
Undecided
Unassigned

Bug Description

So, when I login to Gusty (updated to the latest version, all that stuff), nm-applet does not start. It started the first and second time that I booted, but now it doesn't. I can't quite understand why... the error when I try to start it manually (bellow) sounds like it's something with authentication, and it DOES work if I sudo it... so I'll go ahead and check that out to fix it... but I think this should be fixed in the final release. I'm running a Dell Inspiron E1505, all default hardware.

bobby@bobby-laptop:~$ nm-applet --sm-disable
/bin/sh: /usr/bin/esd: not found

** (nm-applet:6629): WARNING **: <WARN> nma_dbus_init(): could not acquire its service. dbus_bus_acquire_service() says: 'Connection ":1.47" is not allowed to own the service "org.freedesktop.NetworkManagerInfo" due to security policies in the configuration file'

Alexander Sack (asac) wrote :

can you please opst your /var/log/syslog?

Changed in network-manager:
status: New → Incomplete
Bobby (lostinquestions) wrote :

Sure, the whole file is attached... I think this might have something to do with it, though... It keeps repeating this...
Oct 2 22:06:07 bobby-laptop NetworkManager: <debug> [1191384367.743120] nm_hal_device_added(): New device added (hal udi is

Thanks!
Bobby

Bobby (lostinquestions) wrote :

Okay, so I got bored and was exploring... I think that when I downloaded "Authentication Properties" to do an Active Directory installation it somehow changed the file, resulting in this change (in the dbus file). Basically, /etc/dbus-1/system.d/nm-applet.conf was disallowing access for everyone but root... Don't quite understand how that happened, other than that Authentication Properties did it... because besides that it was spontaneous. So, yea.

Changed in network-manager:
status: Incomplete → Fix Committed
Luca Greco (luca-greco) wrote :

I've resolved adding a section in file /etc/dbus-1/system.d/nm-applet.conf:
<pre>
<policy group="netdev">
  <allow own="org.freedesktop.NetworkManagerInfo"/>

  <allow send_destination="org.freedesktop.NetworkManagerInfo"/>
  <allow send_interface="org.freedesktop.NetworkManagerInfo"/>
</policy>
</pre>

N-M bug - might be fixed?

affects: dbus (Ubuntu) → network-manager (Ubuntu)
Tony Espy (awe) on 2009-12-07
affects: network-manager (Ubuntu) → network-manager-applet (Ubuntu)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package network-manager-applet - 0.8~rc2-0ubuntu1

---------------
network-manager-applet (0.8~rc2-0ubuntu1) lucid; urgency=low

  * upstream snapshot 2009-11-12 07:27:27 (GMT)
    + 4162285fd7c53e8b684e1c1513a2ba6ce865e073

  * upstream 0.8-rc1 release
      - applet: don't crash if we can't get some ActiveConnection attrs (rh: #545011)
      - editor: serialize PolicyKit auth requests (rh #462944) (LP: #462944)
      - applet: don't crash if wireless dialog goes away quickly (rh #542617)
      - eap: handle PEM files without and ending newline (rh #507315)
      - tls: require password-protected private keys
      - applet: fix connecting to system connections from wireless dialog
      - menu: show BT connections when no other devices available (rh #532049)
      - applet: don't assert when auto connections can't be made (rh #532680)
      - editor: fix various IP page tooltips (bgo #595287)
      - applet: fix animation issues
      - mobile-wizard: add a "My Country is not listed" option (rh #530981) (bgo #599705)
      - applet: fix issues with icon loading when panel is slow to resize (rh #529766)
      - applet: Connect to Hidden doesn't work for non-New networks (LP: #446394)
      - applet: nm-applet does not start at login (LP: #146896)

  * upstream 0.8-rc2 release
    - editor: protect against invalid CEPolkitButton objects (rh #549579)
    - menu: ensure active menu item is valid before trying to use it (rh #546901)
    - editor: fix bad assignment
    - core: add "Enable Mobile Broadband" menu item
    - applet: escape notification text

  [ Mathieu Trudel <email address hidden> ]
  * updated device sensitive disconnect notification patch
    - update debian/patches/lp341684_device_sensitive_disconnect_notify.patch

  [ Tony Espy <email address hidden> ]
  * add logic to map '~rc' versions to '-rc' tag format used upstream. This
    allows the upstream tags to be used, while managing to keep the version
    numbers less than the final release version.
    - update debian/rules
  * update build and runtime depends for network-manager to >= 0.8~rc2
    - update debian/control
  * backout string changes in preparation for SRU
    - add deb/debian/patches/revert_more_networks.patch
    - add deb/debian/patches/revert_disable_notifications.patch
    - add deb/debian/patches/revert_country_not_listed.patch
    - add deb/debian/patches/revert_cleartext_priv_keys.patch
    - add deb/debian/patches/revert_enable_broadband.patch
    - update debian/series
 -- Tony Espy <email address hidden> Wed, 20 Jan 2010 10:16:56 -0500

Changed in network-manager-applet (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Bug attachments